> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Salary Details

> Retrieve the salary details of a specific employee using employee ID.



## OpenAPI

````yaml GET /api/v2/salary_details/{employee_id}/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/v2/salary_details/{employee_id}/:
    get:
      summary: Get Employee Salary Details
      description: Retrieve the salary details of a specific employee using employee ID.
      parameters:
        - name: employee_id
          in: path
          required: true
          schema:
            type: string
          description: Unique employee ID
          example: '0078'
        - name: org
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Organization UUID
          example: 9e3ba089-5cb6-407c-93db-e3b7ccaff3ed
        - name: vendor_org
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Vendor Organization UUID
          example: 5e3bc089-1cb6-507c-23db-f3b7ccaff3ed
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - ctc
              - monthly
              - ctc_monthly
          description: Type of salary details to fetch
          example: ctc_monthly
        - name: from_date
          in: query
          required: false
          schema:
            type: string
          description: Filter salaries from month-year (format MM-YYYY)
          example: 01-2024
        - name: to_date
          in: query
          required: false
          schema:
            type: string
          description: Filter salaries up to month-year (format MM-YYYY)
          example: 07-2024
      responses:
        '200':
          description: Salary data retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 99ced2d1-c1e6-480a-8a00-1723ec968377
                  message:
                    type: string
                    example: Salary data points successfully fetched
                  data:
                    type: object
                    properties:
                      ctc:
                        $ref: '#/components/schemas/CTC'
                      monthly:
                        type: array
                        items:
                          $ref: '#/components/schemas/MonthlySalary'
        '400':
          description: Bad Request – Missing required field
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: e86c77c6-36a0-40e7-9df6-efc8c23fae33
                  message:
                    type: string
                    example: error
                  data:
                    type: object
                    properties:
                      org:
                        type: array
                        items:
                          type: string
                        example:
                          - This field is required.
        '401':
          description: Unauthorized – Authentication credentials missing
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 1ef741b0-45b9-419e-a7f8-9c4cc77e1f61
                  message:
                    type: string
                    example: Authentication credentials were not provided.
                  data:
                    type: string
                    nullable: true
                    example: null
        '404':
          description: Not Found – Salary details not shared
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: bf421cd7-fc71-4ad3-843d-8b3294484260
                  message:
                    type: string
                    example: Salary Details are not shared
                  data:
                    type: string
                    nullable: true
                    example: null
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: 1f4c50f1-5741-4772-83df-8593bdf505bb
                  message:
                    type: string
                    example: Internal Server Error
                  data:
                    type: string
                    nullable: true
                    example: null
      security:
        - TokenAuth: []
components:
  schemas:
    CTC:
      type: object
      properties:
        dearnessAllowance:
          type: number
          nullable: true
        gratuity:
          type: number
          nullable: true
        medicalAllowance:
          type: number
          nullable: true
        travelAllowance:
          type: number
          nullable: true
        specialAllowance:
          type: number
          nullable: true
        flexiBasketAllowance:
          type: number
          nullable: true
        bonus:
          $ref: '#/components/schemas/Bonus'
        deductions:
          $ref: '#/components/schemas/Deductions'
    MonthlySalary:
      type: object
      properties:
        month:
          type: integer
          nullable: true
        year:
          type: integer
          nullable: true
        basic:
          type: number
          nullable: true
        dearnessAllowance:
          type: number
          nullable: true
        hra:
          type: number
          nullable: true
        medicalAllowance:
          type: number
          nullable: true
        travelAllowance:
          type: number
          nullable: true
        specialAllowance:
          type: number
          nullable: true
        flexiBasketAllowance:
          type: number
          nullable: true
        gratuity:
          type: number
          nullable: true
        otherAllowance:
          type: number
          nullable: true
        deductions:
          type: object
          properties:
            pf:
              type: number
              nullable: true
            esi:
              type: number
              nullable: true
            professionalTax:
              type: number
              nullable: true
            labourWelfareFund:
              type: number
              nullable: true
            tds:
              type: number
              nullable: true
            medicalClaimDeduction:
              type: number
              nullable: true
            groupTermInsuranceDeductions:
              type: number
              nullable: true
            earlyWageDeduction:
              type: number
              nullable: true
            misc:
              type: number
              nullable: true
        bonus:
          $ref: '#/components/schemas/Bonus'
        grossPay:
          type: number
          nullable: true
        Reimbursements:
          type: number
          nullable: true
    Bonus:
      type: object
      properties:
        joining:
          type: number
          nullable: true
        referral:
          type: number
          nullable: true
        retention:
          type: number
          nullable: true
        performance:
          type: number
          nullable: true
        relocation:
          type: number
          nullable: true
        misc:
          type: number
          nullable: true
    Deductions:
      type: object
      properties:
        pf:
          type: number
          nullable: true
        esi:
          type: number
          nullable: true
        professionalTax:
          type: number
          nullable: true
        labourWelfareFund:
          type: number
          nullable: true
        misc:
          type: number
          nullable: true
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization

````